Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class ConcursoPostulanteDbHelper
    Inherits DbHelper(Of ConcursoPostulante, SqlDbType)

#Region "Metodos Generador"
    Public Function GetListConcursoPostulanteByEstadoConcursoPostulante(ByVal idEstadoConcursoPostulante As Int32, Optional ByVal foreignLevel As Integer = 0) As EntityList(Of ConcursoPostulante)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idEstadoConcursoPostulante = idEstadoConcursoPostulante
        Return QueryObject.ExecuteList()
    End Function

    Public Function GetListConcursoPostulanteByPlaza(ByVal Identificador As String, Optional ByVal foreignLevel As Integer = 0) As EntityList(Of ConcursoPostulante)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).Identificador = Identificador
        Return QueryObject.ExecuteList()
    End Function

    Public Function GetListConcursoPostulanteByPlaza(ByVal idPlaza As Int32, Optional ByVal foreignLevel As Integer = 0) As EntityList(Of ConcursoPostulante)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idPlaza = idPlaza
        Return QueryObject.ExecuteList()
    End Function

    Public Function GetListConcursoPostulanteBySEG_Usuarios(ByVal idUsuario As Int32, Optional ByVal foreignLevel As Integer = 0) As EntityList(Of ConcursoPostulante)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idUsuario = idUsuario
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class

